← All endpoints

Fund Data API

P&L Attribution Dates

GET/api/v1/fund/pnl/attribution-dates

The list of dates a P&L attribution can be run for (dates with a usable NAV run).

Requires an Authorization: Bearer <API key> header (a nyx_dk_… developer key, minted from the developer console at /developers/console). Reflects Nyx's shadow NAV, reconciled against your fund administrator.

No parameters — call it with no query string.

cURL
curl -s -X GET "https://nyxsuite.com/api/v1/fund/pnl/attribution-dates" \
  -H "Authorization: Bearer nyx_dk_demo000000000000000000000000000000000000000"
JavaScript
const res = await fetch("https://nyxsuite.com/api/v1/fund/pnl/attribution-dates", {
  method: "GET",
  headers: { Authorization: "Bearer nyx_dk_demo000000000000000000000000000000000000000" },
})
const data = await res.json()
Python
# GET https://nyxsuite.com/api/v1/fund/pnl/attribution-dates
import requests

res = requests.get(
    "https://nyxsuite.com/api/v1/fund/pnl/attribution-dates",
    headers={"Authorization": "Bearer nyx_dk_demo000000000000000000000000000000000000000"},
)
data = res.json()
SDK
// TypeScript (@nyxsuite/sdk)
import { NyxClient } from '@nyxsuite/sdk'

const client = new NyxClient({ apiKey: 'nyx_dk_demo000000000000000000000000000000000000000', baseUrl: 'https://nyxsuite.com/api/v1' })
const data = await client.fundPnlAttributionDates()

# Python (nyxsuite)
from nyxsuite import NyxClient

client = NyxClient(api_key="nyx_dk_demo000000000000000000000000000000000000000", base_url="https://nyxsuite.com/api/v1")
data = client.fund_pnl_attribution_dates()
Try It
API Key
nyx_dk_dem••••••••0000
Sample response
Object(2)
"dates":
Array(3)
"2026-07-20"
"2026-07-19"
"2026-07-05"
"truncated": false